Package io.papermc.paper.event.block

# Class TargetHitEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.ProjectileHitEvent
io.papermc.paper.event.block.TargetHitEvent

All Implemented Interfaces:
  `Cancellable`

public class TargetHitEvent extends ProjectileHitEvent implements Cancellable
Called when a Target Block is hit by a projectile.

Cancelling this event will stop the Target from emitting a redstone signal, and in the case that the shooter is a player, will stop them from receiving advancement criteria.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`TargetHitEvent(@NotNull Projectile projectile, @NotNull Block block, @NotNull BlockFace blockFace, int signalStrength)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`int`
`getSignalStrength()`
Gets the strength of the redstone signal to be emitted by the Target block
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancelled)`
Whether to cancel the action that occurs when the projectile hits.
`void`
`setSignalStrength(int signalStrength)`
Sets the strength of the redstone signal to be emitted by the Target block

### Methods inherited from class org.bukkit.event.entity.ProjectileHitEvent

`getEntity, getHitBlock, getHitBlockFace, getHitEntity`

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TargetHitEvent

public TargetHitEvent(@NotNull @NotNull Projectile projectile, @NotNull @NotNull Block block, @NotNull @NotNull BlockFace blockFace, int signalStrength)

## Method Details

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Overrides:
  `isCancelled` in class `ProjectileHitEvent`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancelled)
Description copied from class: `ProjectileHitEvent`
Whether to cancel the action that occurs when the projectile hits. In the case of an entity, it will not collide (unless it's a firework, then use `FireworkExplodeEvent`).
In the case of a block, some blocks (eg target block, bell) will not perform the action associated.
This does NOT prevent block collisions, and explosions will still occur unless their respective events are cancelled.

Specified by:
  `setCancelled` in interface `Cancellable`
Overrides:
  `setCancelled` in class `ProjectileHitEvent`
Parameters:
  `cancelled` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Overrides:
  `getHandlers` in class `ProjectileHitEvent`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()

### getSignalStrength

public int getSignalStrength()
Gets the strength of the redstone signal to be emitted by the Target block

Returns:
  the strength of the redstone signal to be emitted

### setSignalStrength

public void setSignalStrength(int signalStrength)
Sets the strength of the redstone signal to be emitted by the Target block

Parameters:
  `signalStrength` - the strength of the redstone signal to be emitted